<?php
/**
 * Console Library
 *
 * LICENSE
 *
 * "THE BEER-WARE LICENSE" (Revision 42):
 * "Sven Strittmatter" <ausserirdisch@sven-space.de> wrote this file.
 * As long as you retain this notice you can do whatever you want with
 * this stuff. If we meet some day, and you think this stuff is worth it,
 * you can buy me a beer in return.
 *
 * $Author$
 * $Revision$
 *
 * @category    Console
 * @package     Console_Application
 * @copyright   Copyright (c) 2009 Sven Strittmatter
 */

/**
 * Template method class for CLI commands.
 *
 * @see HelloWorldApplication for an example implementation.
 *
 * @abstract
 * @category   Console
 * @package    Console_Enviroment
 * @copyright  Copyright (c) 2009 Sven Strittmatter
 */
class Console_Enviroment {
    const OS_WINDOWS = 'win';
    const OS_MACOS   = 'Darwin';
    const OS_LINIX   = 'linux';

    /**
     * @link http://de.php.net/manual/en/function.php-sapi-name.php
     * 
     * @return bool
     */
    public static function isSapiCli() {
        return ('cli' === php_sapi_name());
    }

    /**
     * Returns if the php enviromt is of an specific os type.
     *
     * @static
     * @access public
     * @param string $osType One of the OS_* constants
     * @return bool
     */
    public static function isOs($osType) {
        return PHP_OS === $osType;
    }

    /**
     * Returns if the php enviroment os is Winows
     *
     * @static
     * @access public
     * @return bool
     */
    public static function isWindows() {
//        return self::isOs(self::OS_WINDOWS);
    }

    /**
     * Returns if the php enviroment os is Linux
     *
     * @static
     * @access public
     * @return bool
     */
    public static function isLinux() {
//        return self::isOs(self::OS_Linux);
    }

    /**
     * Returns if the php enviroment os is Mac Os
     *
     * @static
     * @access public
     * @return bool
     */
    public static function isMacOs() {
        return self::isOs(self::OS_MACOS);
    }
}
