<?php
/**
 * Console Library
 *
 * LICENSE
 *
 * "THE BEER-WARE LICENSE" (Revision 42):
 * "Sven Strittmatter" <ausserirdisch@sven-space.de> wrote this file.
 * As long as you retain this notice you can do whatever you want with
 * this stuff. If we meet some day, and you think this stuff is worth it,
 * you can buy me a beer in return.
 *
 * $Author: sxs $
 * $Revision: 161 $
 * 
 * @category    Console
 * @package     Console_Application
 * @copyright   Copyright (c) 2009 Sven Strittmatter
 */

/**
 * Console_Exception.
 *
 * @see Console_Exception
 */
require_once('Console/Exception.php');

/**
 * Class for running a Console_Application_Abstract-Script.
 *
 * @final
 * @category   Console
 * @package    Console_Exception
 * @uses       Console_Exception
 * @copyright  Copyright (c) 2009 Sven Strittmatter
 */
class Console_Exception_MissingParameter extends Console_Exception {
    public function __construct($parameterName, $code = 0) {
        parent::__construct($parameterName, $code);
    }

    public function getName() {
        return $this->getMessage();
    }

    public function __toString() {
        return 'You omitted the required parameter ' . $this->getName() . '.';
    }
}
