<?php
/**
 * Util
 *
 * LICENSE
 *
 * "THE BEER-WARE LICENSE" (Revision 42):
 * "Sven Strittmatter" <ausserirdisch@sven-space.de> wrote this file.
 * As long as you retain this notice you can do whatever you want with
 * this stuff. If we meet some day, and you think this stuff is worth it,
 * you can buy me a beer in return.
 *
 * @category    Util
 * @package     PasswordGenerator
 * @copyright   Copyright (c) 2007 Sven Strittmatter
 */

/**
 * @see Util_Benchmark_Individual
 */
require_once('Util/Benchmark/Individual.php');

/**
 * 
 *
 * @category    Util
 * @package     Benchmark
 * @author	"Sven Strittmatter" <ausserirdisch@sven-space.de>
 * @copyright   Copyright (c) 2007 Sven Strittmatter
 */
class Util_Benchmark {
    private static $benchmarks = array();

    public static function start($name) {
        self::get($name)->start();
    }

    public static function stop($name) {
        self::get($name)->stop();
    }

    public static function reset($name) {
        self::get($name)->reset();
    }

    public static function get($name = null) {
        if (null === $name) {
            return self::$benchmarks;
        }

        if (!array_key_exists($name, self::$benchmarks)) {
            self::$benchmarks[$name] = new Util_Benchmark_Individual($name);
        }

        return self::$benchmarks[$name];
    }

    public static function count() {
        return count(self::$benchmarks);
    }
}