<?php
/**
 * Console Library
 *
 * LICENSE
 *
 * "THE BEER-WARE LICENSE" (Revision 42):
 * "Sven Strittmatter" <ausserirdisch@sven-space.de> wrote this file.
 * As long as you retain this notice you can do whatever you want with
 * this stuff. If we meet some day, and you think this stuff is worth it,
 * you can buy me a beer in return.
 *
 * $Author$
 * $Revisio$
 *
 * @category    Console
 * @package     Unittests
 * @copyright   Copyright (c) 2009 Sven Strittmatter
 */

/**
 * Test helper
 */
require_once dirname(dirname(__FILE__)) . DIRECTORY_SEPARATOR . 'TestHelper.php';

if (!defined('PHPUnit_MAIN_METHOD')) {
    define('PHPUnit_MAIN_METHOD', 'Console_AllTests::main');
}

/**
 * @see Console_ApplicationTest
 */
require_once('Console/ApplicationTest.php');
/**
 * @see Console_EnviromentTest
 */
require_once('Console/EnviromentTest.php');
/**
 * @see Console_ExceptionTest
 */
require_once('Console/ExceptionTest.php');
/**
 * @see Console_LoaderTest
 */
require_once('Console/LoaderTest.php');
/**
 * @see Console_Application_AllTests
 */
require_once('Console/Application/AllTests.php');
/**
 * @see Console_Deamon_AllTests
 */
require_once('Console/Deamon/AllTests.php');
/**
 * @see Console_Exception_AllTests
 */
require_once('Console/Exception/AllTests.php');

/**
 * @category   Console
 * @package    Console
 * @subpackage Unittests
 * @copyright  Copyright (c) 2005-2008 Zend Technologies USA Inc. (http://www.zend.com)
 * @license    http://framework.zend.com/license/new-bsd     New BSD License
 */
class Console_AllTests {
    public static function main() {
        PHPUnit_TextUI_TestRunner::run(self::suite());
    }

    public static function suite() {
        $suite = new PHPUnit_Framework_TestSuite('Console Library - Console');
        $suite->addTestSuite('Console_ApplicationTest');
        $suite->addTestSuite('Console_EnviromentTest');
        $suite->addTestSuite('Console_ExceptionTest');
        $suite->addTestSuite('Console_LoaderTest');
        $suite->addTest(Console_Application_AllTests::suite());
        $suite->addTest(Console_Deamon_AllTests::suite());
        $suite->addTest(Console_Excpetion_AllTests::suite());
        
        return $suite;
    }
}

if (PHPUnit_MAIN_METHOD == 'Console_AllTests::main') {
    Console_AllTests::main();
}
