<?php
/**
 * Console Library
 *
 * LICENSE
 *
 * "THE BEER-WARE LICENSE" (Revision 42):
 * "Sven Strittmatter" <ausserirdisch@sven-space.de> wrote this file.
 * As long as you retain this notice you can do whatever you want with
 * this stuff. If we meet some day, and you think this stuff is worth it,
 * you can buy me a beer in return.
 *
 * $Author$
 * $Revisio$
 *
 * @category    Console
 * @package     Unittests
 * @copyright   Copyright (c) 2009 Sven Strittmatter
 */

// Call Console_ApplicationTest::main() if this source file is executed directly.
if (!defined('PHPUnit_MAIN_METHOD')) {
    define('PHPUnit_MAIN_METHOD', 'Console_EnviromentTest::main');
}

/**
 * Test helper
 */
require_once(dirname(__FILE__) . '/../TestHelper.php');

/**
 * Console_Loader
 */
require_once('Console/Enviroment.php');

/**
 * @category   Console
 * @package    Unittests
 * @copyright  Copyright (c) 2009 Sven Strittmatter
 */
class Console_EnviromentTest extends PHPUnit_Framework_TestCase {
    /**
     * Runs the test methods of this class.
     *
     * @return void
     */
    public static function main() {
        require_once('PHPUnit/TextUI/TestRunner.php');
        $suite  = new PHPUnit_Framework_TestSuite("Console_EnviromentTest");
        $result = PHPUnit_TextUI_TestRunner::run($suite);
    }

    public function testIsSapiCli() {
        /**
         * we asume cli cause tests run on console.
         * @todo test try running on non CLI
         */
        $this->assertTrue(Console_Enviroment::isSapiCli());
    }

    public function testIsOs() {
        
        switch (TESTS_CONSOLE_ENVIROMENT_TESTRUNNEROS) {
            case 'MacOs':
                $this->assertTrue(Console_Enviroment::isMacOs());
                break;
            case 'Debian':
            case 'Suse':
            case 'RedHat':
                $this->markTestIncomplete('Untested os: ' . PHP_OS);
                break;
            case 'Windws':
                $this->markTestIncomplete('Untested os: ' . PHP_OS);
                break;
            default:
                $this->markTestIncomplete('Untested os: ' . PHP_OS);
                break;
        }
        
    }
}
