<?php
/**
 * Console Library
 *
 * LICENSE
 *
 * "THE BEER-WARE LICENSE" (Revision 42):
 * "Sven Strittmatter" <ausserirdisch@sven-space.de> wrote this file.
 * As long as you retain this notice you can do whatever you want with
 * this stuff. If we meet some day, and you think this stuff is worth it,
 * you can buy me a beer in return.
 *
 * $Author$
 * $Revisio$
 *
 * @category    Console
 * @package     Unittests
 * @copyright   Copyright (c) 2009 Sven Strittmatter
 */

// Call Console_ApplicationTest::main() if this source file is executed directly.
if (!defined('PHPUnit_MAIN_METHOD')) {
    define('PHPUnit_MAIN_METHOD', 'Console_Exception_MissingParameterTest::main');
}

/**
 * Test helper
 */
require_once(dirname(__FILE__) . '/../../TestHelper.php');

/**
 * Console_Application_Abstract
 */
require_once('Console/Exception/MissingParameter.php');

/**
 * @category   Console
 * @package    Unittests
 * @subpackage Console_Exception
 * @copyright  Copyright (c) 2009 Sven Strittmatter
 */
class Console_Exception_MissingParameterTest extends PHPUnit_Framework_TestCase {
    /**
     * Runs the test methods of this class.
     *
     * @return void
     */
    public static function main() {
        require_once('PHPUnit/TextUI/TestRunner.php');
        $suite  = new PHPUnit_Framework_TestSuite("Console_Exception_MissingParameterTest");
        $result = PHPUnit_TextUI_TestRunner::run($suite);
    }

    /**
     * We expect a string like:
     * <pre>
     * You omitted the required parameter PARAMETER.
     * </pre>
     */
    public function testTosTring() {
        $parmeters = array('a', 'b', 'f', '-blub', 'LaLa');

        foreach ($parmeters as $parameter) {
            $expectedString = "You omitted the required parameter $parameter.";
            $exception      = new Console_Exception_MissingParameter($parameter);
            $this->assertEquals($expectedString, $exception->__toString());
            $this->assertEquals($expectedString, $exception . '');
        }
    }
}

// Call Console_ApplicationTest::main() if this source file is executed directly.
if (PHPUnit_MAIN_METHOD === 'Console_Exception_MissingParameterTest::main') {
    Console_ApplicationTest::main();
}
